// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

using System;
using System.Linq;
using System.Reflection;
using BenchmarkDotNet.Attributes;
using BenchmarkDotNet.Running;
using BenchmarkDotNet.Configs;
using BenchmarkDotNet.Jobs;
using BenchmarkDotNet.Loggers;
using BenchmarkDotNet.Toolchains.InProcess;

namespace BenchmarkDotNet.Attributes
{
    internal class DefaultCoreValidationConfig : ManualConfig
    {
        public DefaultCoreValidationConfig()
        {
            Add(ConsoleLogger.Default);

            Add(Job.Dry.With(InProcessToolchain.Instance));
        }
    }
}
